---
layout: "docs"
page_title: "Internals"
sidebar_current: "docs-internals"
description: |-
  This section covers some of the internals of Consul, such as the architecture, consensus and gossip protocols, and security model.
---

# Consul Internals

This section covers some of the internals of Consul. Understanding the internals of Consul is necessary to successfully
use it in production. 

Please review the following documentation to understand how Consul works.

* [Architecture](/docs/internals/architecture.html)
* [Consensus Protocol](/docs/internals/consensus.html)
* [Gossip Protocol](/docs/internals/gossip.html)
* [Network Coordinates](/docs/internals/coordinates.html)
* [Sessions](/docs/internals/sessions.html)
* [Anti-Entropy](/docs/internals/anti-entropy.html)
* [Security Model](/docs/internals/security.html)
* [Discovery Chain](/docs/internals/discovery-chain.html)

You should also be familiar with [Jepsen testing](/docs/internals/jepsen.html), before deploying 
a production datacenter. 
